Package org.iirds.rdf.facade

# Class DirectoryNodes

java.lang.Object
org.iirds.rdf.facade.DirectoryNodes

public class DirectoryNodes extends Object
Facade to iiRDS DirectoryNode

Author:
  Martin Kreutzer, Empolis Information Management GmbH

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static void`
  `addChild(org.apache.jena.rdf.model.Resource parent, org.apache.jena.rdf.model.Resource child)`
  `static void`
  `addFirstChild(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource childNode)`
  `static void`
  `addNextSibling(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource siblingNode)`
  `static List<org.apache.jena.rdf.model.Resource>`
  `getChilden(org.apache.jena.rdf.model.Resource node)`
  `static List<org.apache.jena.rdf.model.Resource>`
  `getDirecotryNodes(org.apache.jena.rdf.model.Model model)`
  `static org.apache.jena.rdf.model.Resource`
  `getFirstChild(org.apache.jena.rdf.model.Resource node)`
  `static org.apache.jena.rdf.model.Resource`
  `getNextSibling(org.apache.jena.rdf.model.Resource node)`
  `static void`
  `setDirectoryType(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource nodeType)`
  `static void`
  `setInformationUnit(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource unit)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### addChild

    public static void addChild(org.apache.jena.rdf.model.Resource parent, org.apache.jena.rdf.model.Resource child)

  - ### getChilden

    public static List<org.apache.jena.rdf.model.Resource> getChilden(org.apache.jena.rdf.model.Resource node)

  - ### getFirstChild

    public static org.apache.jena.rdf.model.Resource getFirstChild(org.apache.jena.rdf.model.Resource node)

  - ### getNextSibling

    public static org.apache.jena.rdf.model.Resource getNextSibling(org.apache.jena.rdf.model.Resource node)

  - ### setInformationUnit

    public static void setInformationUnit(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource unit)

  - ### setDirectoryType

    public static void setDirectoryType(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource nodeType)

  - ### addFirstChild

    public static void addFirstChild(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource childNode)

  - ### addNextSibling

    public static void addNextSibling(org.apache.jena.rdf.model.Resource node, org.apache.jena.rdf.model.Resource siblingNode)

  - ### getDirecotryNodes

    public static List<org.apache.jena.rdf.model.Resource> getDirecotryNodes(org.apache.jena.rdf.model.Model model)